from flask import Flask
app = Flask(__name__)

template= '''
<html>
<head>
<title>
{}
</title>
</head>
<body>
<h1>This is our {} page</h1>
<p>And its {}</p>
</body>
</html>
'''


@app.route("/test.html")
def test():
    return template.format('Test', 'test', 'paragraph text')

@app.route("/")
def hello():
     return template.format('Title', 'main', '<a href="test.html">internal link</a>')

